LinuxQuestions.org
Go Job Hunting at the LQ Job Marketplace
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Fedora
User Name
Password
Fedora This forum is for the discussion of the Fedora Project.

Notices

Reply
 
Search this Thread
Old 08-31-2012, 11:41 AM   #1
sureshlinux
LQ Newbie
 
Registered: Aug 2012
Posts: 1

Rep: Reputation: Disabled
Problem making kernel 2.6.25-14.fc9 modules


make[1]: Entering directory `/lib/modules/2.6.25-14.fc9.i686/build'
make[1]: *** No rule to make target `modules'. Stop.
make[1]: Leaving directory `/lib/modules/2.6.25-14.fc9.i686/build'
make: *** [all] Error 2

i am getting this error while giving the make .
how can i fix this error please help me.

thaking you..............
 
Old 08-31-2012, 12:33 PM   #2
abrinister
Member
 
Registered: Dec 2010
Location: /home
Distribution: RL: Arch x64 VM: Debian
Posts: 460

Rep: Reputation: 38
You need the actual kernel source. The default kernel does not come with the source.

Alex Brinister
 
Old 08-31-2012, 09:06 PM   #3
John VV
Guru
 
Registered: Aug 2005
Posts: 13,283

Rep: Reputation: 1775Reputation: 1775Reputation: 1775Reputation: 1775Reputation: 1775Reputation: 1775Reputation: 1775Reputation: 1775Reputation: 1775Reputation: 1775Reputation: 1775
What ?? "2.6.25-14.fc9"
Fedora 9 ??????
fedora 9 HAS been DEAD for a very long time
It went End Of Life back in 2009-07-10 , July 2009

Please install the CURRENT version Fedora 17
 
Old 08-31-2012, 10:20 PM   #4
abrinister
Member
 
Registered: Dec 2010
Location: /home
Distribution: RL: Arch x64 VM: Debian
Posts: 460

Rep: Reputation: 38
Maybe he doesn't want to do that because he is running a crucial server and wants stability. Maybe moving is not in his best interests.

Do you have kernel-devel installed?

Alex Brinister
 
Old 09-03-2012, 03:03 PM   #5
angryfirelord
Member
 
Registered: Dec 2005
Posts: 502

Rep: Reputation: 60
You'll need at least kernel-devel installed. But since you're running an outdated version, you'll have to change your repository mirror to the Fedora archives.

However, as others have said, you're potentially at risk with an EOL distro. If you need long-term support, consider migrating to RHEL (requires a subscription), CentOS or Scientific Linux.
 
2 members found this post helpful.
Old 09-03-2012, 04:45 PM   #6
John VV
Guru
 
Registered: Aug 2005
Posts: 13,283

Rep: Reputation: 1775Reputation: 1775Reputation: 1775Reputation: 1775Reputation: 1775Reputation: 1775Reputation: 1775Reputation: 1775Reputation: 1775Reputation: 1775Reputation: 1775
seeing as "sureshlinux" has only one post
and it was posted on 8-31 ( 4 days ago)

this is not important to "sureshlinux"

so unless "sureshlinux" posts an update .......
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Kernel Panic with Kernel 2.6.27.5-41.fc9.x86_64 on VMWare ESXi Server d.zinzius Fedora 0 11-21-2008 08:21 AM
Lost GUI after making changes in Windows Manager Settings using FC9 combatseabee Linux - Desktop 1 10-14-2008 01:23 PM
Is there is a problem with 2.6.26.3-29.fc9.i686 kernel? sameetLinux Linux - General 4 09-16-2008 11:44 PM
Making custom kernel..but drivers and modules wont load on boot skoal Linux - General 10 12-06-2001 07:59 PM
problem with a sound card when making modules pibevalera Linux - General 4 08-08-2001 10:38 AM


All times are GMT -5. The time now is 08:56 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration